/*---------------------------------------------------------------------------
Program :		  ImagePanel.cpp	Version 1.1
					    TImagePanel Component for BCB1 and BCB3/4/5
Author :		  Michel Leunen
Email :			  leu@rtbf.be
					    Michel@leunen.com
Date :			  04/08/1998
Description :	Component for Borland C++ Builder V1 that draws a bitmap on a
					    TPanel. The image could be stretchd, tiled or drawn alone.
*/
//---------------------------------------------------------------------------
#ifndef ImagePanelH
#define ImagePanelH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Graphics.hpp>
//---------------------------------------------------------------------------
enum  TImageDrawStyle {ipSingle,ipStretch,ipTile};		//Enum drawing Style
class PACKAGE TImagePanel : public TGraphicControl
{
private:
	Graphics::TBitmap		*FBitmap,*tmpBitmap;
  int FXPosition;                                     //x origin
  int	FYPosition;							                        // y origin
	bool ValidBmp;
  TImageDrawStyle		FImageStyle;                      // drawing style
  void __fastcall SetBitmap(Graphics::TBitmap *ABitmap);
  void __fastcall SetImageStyle(TImageDrawStyle AImageStyle);
  void __fastcall SetXPos(int AXPosition);
  void __fastcall SetYPos(int AYPosition);

protected:
	void __fastcall Paint(void);								         // override paint()

public:
	__fastcall TImagePanel(TComponent* Owner);
  __fastcall ~TImagePanel();

__published:
	__property Graphics::TBitmap *Bitmap = {read=FBitmap, write=SetBitmap};
  __property TImageDrawStyle DrawingStyle = {read=FImageStyle, write=SetImageStyle};
  __property int XPosition = {read=FXPosition, write=SetXPos};
  __property int YPosition = {read=FYPosition, write=SetYPos};
	__property Align;
  __property ShowHint;
  __property ParentShowHint;
  __property Canvas;
  __property Visible;
  __property OnClick;
  __property OnMouseMove;
  __property OnMouseDown;
  __property OnMouseUp;

};
//---------------------------------------------------------------------------
#endif
